%define upstream_name	 IP-Country
%define upstream_version 2.28

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Fast lookup of country codes from IP addresses
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/IP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Geography::Countries)
BuildArch:  noarch

%description
IP lookup modules for Perl. This package also provides the ip2cc utility, to
lookup country from IP address or hostname.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%{__make} test

%install
%makeinstall_std

%files
%doc CHANGES INSTALL META.yml MYMETA.yml README
%{perl_vendorlib}/IP
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 2.280.0-7pclos2017
- rebuild against updates

